import { AbstractFormFieldComponent } from './abstract-form-field/abstract-form-field.component';
import { FormArray, FormControl, FormGroup } from './abstraction';
import { AbstractControl } from '@angular/forms';
import { AbstractType } from './form-type/abstract-type';
import { QueryList } from '@angular/core';
import { FormSlotDirective } from './form-slot/form-slot.directive';
export declare class FieldInstanceHelper {
    static setupFieldInstance(instance: AbstractFormFieldComponent<any>, data: {
        mwFormGroup: any;
        mwElement: FormControl | FormArray | FormGroup | AbstractControl;
        mwFieldType: AbstractType<any>;
        mwSlots: QueryList<FormSlotDirective>;
        mwPath: string;
        mwIndex?: number;
    }): void;
}
