import { QueryList } from '@angular/core';
import { AbstractControl, FormArray, FormControl, FormGroup } from '@angular/forms';
import { AbstractType } from '../form-type/abstract-type';
import { FormSlotDirective } from '../form-slot/form-slot.directive';
export declare abstract class AbstractFormFieldComponent<T extends AbstractType<any>> {
    mwFormGroup: FormGroup;
    mwElement: FormControl | FormArray | FormGroup | AbstractControl;
    mwIndex: number;
    mwFieldType: T;
    mwPath: string;
    mwSlots: QueryList<FormSlotDirective>;
}
